Bug 20404 - Extended patron attributes should always be on
Summary: Extended patron attributes should always be on
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20396
  Show dependency treegraph
 
Reported: 2018-03-14 14:02 UTC by Gaetan Boisson
Modified: 2018-07-18 11:35 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20404: Turn on ExtendedPatronAttributes by default for new installations (1.68 KB, patch)
2018-05-10 19:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20404: Turn on ExtendedPatronAttributes by default for new installations (1.73 KB, patch)
2018-05-11 19:06 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 20404: Fix Patrons/Import.t (3.28 KB, patch)
2018-05-14 15:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan Boisson 2018-03-14 14:02:52 UTC
At the moment there is a system preference to activate before one can add extended attributes.

This could be always on, if the library hasn't defined any attributes they won't show anyway.
Comment 1 Katrin Fischer 2018-03-17 08:59:12 UTC
+1
Comment 2 Josef Moravec 2018-03-19 14:28:01 UTC
+1
Comment 3 Andreas Hedström Mace 2018-04-08 20:38:47 UTC
+1
Comment 4 Lisette Scheer 2018-05-09 16:20:47 UTC
+1
Comment 5 Katrin Fischer 2018-05-10 19:07:22 UTC
Created attachment 75243 [details] [review]
Bug 20404: Turn on ExtendedPatronAttributes by default for new installations

Extended patron attributes are a very useful feature that should be
more obvious. We should activate them by default for new installations.

For testing:
- Run the web isntaller on an empty database
- Check that after installation ExtendedPatronAttributs is turned on
Comment 6 Charles Farmer 2018-05-11 19:06:33 UTC
Created attachment 75284 [details] [review]
Bug 20404: Turn on ExtendedPatronAttributes by default for new installations

Extended patron attributes are a very useful feature that should be
more obvious. We should activate them by default for new installations.

For testing:
- Run the web isntaller on an empty database
- Check that after installation ExtendedPatronAttributes is turned on

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 7 Jonathan Druart 2018-05-14 14:20:16 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Jonathan Druart 2018-05-14 15:26:00 UTC
Created attachment 75315 [details] [review]
Bug 20404: Fix Patrons/Import.t
Comment 9 Jonathan Druart 2018-05-14 15:27:49 UTC
(In reply to Jonathan Druart from comment #8)
> Created attachment 75315 [details] [review] [review]
> Bug 20404: Fix Patrons/Import.t

Pushed to master.